WP3Resource Class Reference

`#include <WP3Resource.h>`

## Public Member Functions

| WP3Resource (unsigned resourceType, unsigned resourceReferenceID, const librevenge::RVNGString &resourceName, unsigned char resourceAttributes, const librevenge::RVNGBinaryData &resourceData)
virtual | ~WP3Resource ()
unsigned | getResourceType () const
unsigned | getResourceReferenceID () const
const librevenge::RVNGString & | getResourceName () const
unsigned char | getResourceAttributes () const
const librevenge::RVNGBinaryData & | getResourceData () const

## Private Attributes

unsigned | m_resourceType
unsigned | m_resourceReferenceID
const librevenge::RVNGString | m_resourceName
unsigned char | m_resourceAttributes
librevenge::RVNGBinaryData | m_resourceData

## Constructor & Destructor Documentation

## WP3Resource()

WP3Resource::WP3Resource | ( | unsigned | resourceType,
|  | unsigned | resourceReferenceID,
|  | const librevenge::RVNGString & | resourceName,
|  | unsigned char | resourceAttributes,
|  | const librevenge::RVNGBinaryData & | resourceData )

## ~WP3Resource()

virtual WP3Resource::~WP3Resource | ( |  | ) |

inline virtual

## Member Function Documentation

## getResourceAttributes()

unsigned char WP3Resource::getResourceAttributes | ( |  | ) | const

inline

## getResourceData()

const librevenge::RVNGBinaryData & WP3Resource::getResourceData | ( |  | ) | const

inline

Referenced by WP3WindowGroup::parse().

## getResourceName()

const librevenge::RVNGString & WP3Resource::getResourceName | ( |  | ) | const

inline

## getResourceReferenceID()

unsigned WP3Resource::getResourceReferenceID | ( |  | ) | const

inline

## getResourceType()

unsigned WP3Resource::getResourceType | ( |  | ) | const

inline

## Member Data Documentation

## m_resourceAttributes

unsigned char WP3Resource::m_resourceAttributes

private

Referenced by getResourceAttributes(), and WP3Resource().

## m_resourceData

librevenge::RVNGBinaryData WP3Resource::m_resourceData

private

Referenced by getResourceData(), and WP3Resource().

## m_resourceName

const librevenge::RVNGString WP3Resource::m_resourceName

private

Referenced by getResourceName(), and WP3Resource().

## m_resourceReferenceID

unsigned WP3Resource::m_resourceReferenceID

private

Referenced by getResourceReferenceID(), and WP3Resource().

## m_resourceType

unsigned WP3Resource::m_resourceType

private

Referenced by getResourceType(), and WP3Resource().

The documentation for this class was generated from the following files:

- WP3Resource.h
- WP3Resource.cpp